# beautiful_containers

Beautiful containers package lets you add prebuild beautiful containers to your Flutter app.

## Installation

1. Add the latest version of package to your pubspec.yaml (and run`dart pub get`):
```yaml
dependencies:
  beautiful_containers: ^0.0.1
```
2. Import the package and use it in your Flutter App.
```dart
import 'package:fancy_containers/beautiful_containers.dart';
```

## Example
There are a number of properties that you can modify:

 - height
 - width
 - title
 - subtitle
 - gradient (color1 and color2)

<hr>

<table>
<tr>
<td>

```dart
class BeautifulScreen extends StatelessWidget {
  const BeautifulScreen({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Center(
        child: const BeautifulContainer(
          title: 'Hello World',
          color1: Colors.lightGreenAccent,
          color2: Colors.lightBlue,
          subtitle: 'This is a new package',
        ),
      ),
    );
  }
}
```

</td>

</tr>
</table>

## Next Goals

 - [ ] Add more containers to the package.
